#-------------------------------------------------
#
# Project created by QtCreator 2014-12-28T20:40:55
#
#-------------------------------------------------

QT       += core gui opengl

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets
DESTDIR         = ../../Executables

TARGET = VesselKnife
TEMPLATE = app

SOURCES += main.cpp\
        mainwindow.cpp \
    imagegl.cpp \
    ../shared/sphear.cpp \
    ../shared/tree.cpp \
    treelist.cpp \
    ../shared/treesmooth.cpp \
    ../shared/treediameters.cpp \
    ../shared/treeextend.cpp \
    ../shared/smoothdiameter.cpp \
    nodeproperties.cpp \
    dialogvoxelsize.cpp \
    vktool.cpp \
    parametertreewidget.cpp \
    ../shared/filenameremap.cpp

HEADERS  += mainwindow.h \
    imagegl.h \
    ../shared/sphear.h \
    isetview.h \
    ../shared/imagefilters.h \
    ../shared/tree.h \
    ../shared/buildtree.h \
    ../shared/mz2itk.h \
    ../shared/treesmooth.h \
    ../shared/treediameters.h \
    ../shared/byteimage.h \
    ../shared/treeextend.h \
    ../shared/imagefilters2.h \
    ../shared/smoothdiameter.h \
    nodeproperties.h \
    dialogvoxelsize.h \
    vktool.h \
    vktools.h \
    parametertreewidget.h \
    ../shared/filenameremap.h

FORMS    += mainwindow.ui \
    nodeproperties.ui \
    dialogvoxelsize.ui

RESOURCES += \
    vesselknife.qrc    

macx{
    ICON = vesselknife.icns
}
else:unix{
}
else:win32{
    RC_FILE = vesselknife.rc
}    
    
include(../Pri/config.pri)
include(../Pri/itk.pri)
# include(../Pri/vtk.pri)
include(../Pri/opengl.pri)
include(../Pri/alglib.pri)

